## org.opengis.filter
Class ExcludeFilter

    Object
      ExcludeFilter

All Implemented Interfaces:
  Serializable, Filter

    public final class ExcludeFilter

extends Object
implements Filter, Serializable

Indicating "filter all", evaultates to `false`.

This is a placeholder filter intended to be used in data structuring definition.

- EXCLUDE or Filter ==> Filter
  EXCLUDE and Filter ==> EXCLUDE
  not EXCLUDE ==> INCLUDE
  The above does imply that the AND opperator can short circuit on encountering ALL.

  See Also:
    Serialized Form

  Field Summary

  Fields inherited from interface Filter
  `EXCLUDE, INCLUDE`

  Method Summary
  `Object` `accept(FilterVisitor visitor, Object extraData)` Accepts a visitor.
  `boolean` `equals(Object obj)`
  `boolean` `evaluate(Object object)` Returns `false`, content is excluded.
  `int` `hashCode()`
  `String` `toString()`

  Methods inherited from class Object
  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  Method Detail

  ### accept

      public Object accept(FilterVisitor visitor,
                           Object extraData)

    Description copied from interface: `Filter`
    Accepts a visitor.

    Implementations of all subinterfaces must have with a method whose content is the following:

        return visitor.visit(this, extraData);

    Specified by:
      `accept` in interface `Filter`

  ### evaluate

      public boolean evaluate(Object object)

    Returns `false`, content is excluded.

    Specified by:
      `evaluate` in interface `Filter`
    Returns:
      `true</true> if the test(s) are passed for the provided object`

  ### equals

      public boolean equals(Object obj)

    Overrides:
      `equals` in class `Object`

  ### hashCode

      public int hashCode()

    Overrides:
      `hashCode` in class `Object`

  ### toString

      public String toString()

    Overrides:
      `toString` in class `Object`

  Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.